View Single Post
Old 07 January 2008, 20:47   #9
Phone Zen
paranoid's Avatar
Join Date: Jun 2006
Location: Banned
Age: 45
Posts: 236
With an A500, avoid games that say AGA or that they are for the A1200/4000. Those two computers were newer/more advanced computers that used a better chipset called AGA. It's like going from CGA to VGA on a PC. (Well, sort of, as analogies go..)

With an A500, there may be a few incompatible games here and there (some very, very early games may not work with Kickstart 1.3, etc..) but generally, the only worry you would have is if you don't have 1 meg of memory and the game requires it (it should be noted on the box if it needs 1 meg). If you don't have 1 meg total, you should really get the expansion; it's well worth it and not just a mere convenience.

So basically, AGA games aside, you shouldn't have a problem. It isn't to say there are no compatibility problems at all on the Amiga, but pretty rare compared to today when a PC game needs at least X processor, Y memory, Z graphic card, etc etc.
paranoid is offline  
Page generated in 0.05178 seconds with 9 queries